<?php 
/* SVN FILE: $Id$ */
/* System Test cases generated on: 2010-01-12 01:05:06 : 1263225906*/
App::import('Model', 'System');

class SystemTestCase extends CakeTestCase {
	var $System = null;
	var $fixtures = array('app.system', 'app.character', 'app.profile');

	function startTest() {
		$this->System =& ClassRegistry::init('System');
	}

	function testSystemInstance() {
		$this->assertTrue(is_a($this->System, 'System'));
	}

	function testSystemFind() {
		$this->System->recursive = -1;
		$results = $this->System->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('System' => array(
			'id'  => 1,
			'name'  => 'Lorem ipsum dolor sit amet',
			'sort_order'  => 1,
			'url'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'set_npc'  => 1,
			'detail'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.'
		));
		$this->assertEqual($results, $expected);
	}
}
?>